Name:		GnewsAlert
Summary:	Gnews Alert is a GNOME panel news alert applet
Version:	0.7
Release:	4mdk
License:	GPL
Group:		Networking/Other
URL:		http://gnews.sourceforge.net/

Source:		%name-%version.src.tar.bz2

BuildRequires:	gnome-core-devel, libxml-devel
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
Gnews Alert is a GNOME panel news alert applet. It will go out to news
sources periodically and parse out breaking news alerts, then display a
popup window that shows you the news Semi-as-it-happens!

The current news sources that Gnews Alert supports are:
  * MSNBC
  * ZDNN
  * Slashdot
  * BitBuilder
  * Freshmeat
  * Linux.com

%prep

%setup -q -n %name

%build
%configure

%make

%install
install -d %buildroot/%_bindir
install -d %buildroot/%_menudir

install -m 755 src/GnewsAlert %buildroot/%_bindir

cat << EOF > %buildroot/%_menudir/%name
?package(GnewsAlert): \
  needs=x11\
  section=Networking/Other\
  title=GnewsAlert\
  longtitle=GNOME panel news alert applet\
  command=GnewsAlert
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,0755)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README news_sources.txt
%_bindir/GnewsAlert
%_menudir/GnewsAlert

%changelog
* Wed Jan 03 2001 David BAUDENS <baudens@mandrakesoft.com> 0.7-4mdk
- BuildRequires: gnome-core-devel, libxml-devel
- Minors spec clean up

* Tue Jan 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7-3mdk
- clean
- update URL
- fix menu

* Fri Jul 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7-2mdk
- macros

* Wed Jun 07 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.7-1mdk
- initial specfile
- bzip sources
